<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.user.biz.mapper.KxsUserEquityMapper">

    <resultMap type="com.kxs.user.api.model.KxsUserEquity" id="KxsUserEquityMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="icon_url" property="iconUrl" />
        <result column="name" property="name" />
        <result column="equity_type" property="equityType" />
        <result column="sort" property="sort" />
        <result column="is_hide" property="isHide" />

    </resultMap>
    <select id="selectByList" resultType="com.kxs.user.api.vo.kxsapp.userLevel.UserEquityListVO">
        select * from kxs_user_equity
        where del_flag = 0 and is_hide = 0
        order by sort asc
    </select>

</mapper>
